<?php
namespace Claromentis\Core\Ai;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("n" . "a" . "m" . "e" => base64_decode("bmFt" . "ZQ=="), "_c80a67ccfaf" . "6579232efc35" . "4d30eb275" => base64_decode("dmVyc2lvbg" . "=="));
class AiModelInfo
{
    
    
    
    
    private string $name;
    
    
    
    
    private string $version;
    
    
    
    
    
    
    
    public function __construct(string $name, string $_c80a67ccfaf6579232efc354d30eb275)
    {
        $this->name = $name;
        $this->version = $_c80a67ccfaf6579232efc354d30eb275;
    }
    
    
    
    
    
    
    public function getName() : string
    {
        return $this->name;
    }
    
    
    
    
    
    
    public function getVersion() : string
    {
        return $this->version;
    }
    
    
    
    
    
    
    public function toArray() : array
    {
        return [$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["n" . "a" . "m" . "e"] => $this->name, $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_c80a67ccfaf6579232efc354d30e" . "b275"] => $this->version];
    }
}